MODULE Arun;


FROM AESApplications IMPORT
ApplInitialise, ApplExit;

FROM AESGraphics     IMPORT
GrafHandle, GrafMouse;

FROM AESForms        IMPORT
FormDo, FormDialogue;

FROM AESObjects      IMPORT
ObjectDraw;

FROM GEMAESbase      IMPORT
FormStart, FormFinish, Arrow;


IMPORT ResourceHandler;

IMPORT about;


VAR 
  apid : INTEGER;
  res  : ResourceHandler.ResourceType;


PROCEDURE Main;
VAR x, y, w, h, g : INTEGER;
BEGIN
  g := GrafHandle(g, g, g, g);
  GrafMouse(Arrow, NIL);
  res.Header := about.DataAddr;
  ResourceHandler.SetResourceAddress(res);
  ResourceHandler.XFormCenter(res.TreeAddr^, x, y, w, h);
  FormDialogue(FormStart, x, y, w, h, x, y, w, h);
  ObjectDraw(res.TreeAddr^, 0, 10, x, y, w, h);
  g := FormDo(res.TreeAddr^, -1);
  FormDialogue(FormFinish, x, y, w, h, x, y, w, h);
END Main;


BEGIN
  apid := ApplInitialise();
  Main;
  ApplExit;
END Arun.

